azure_ad.overview:
    path: /admin/config/people/azure_ad/overview
    defaults:
        _title: 'Azure AD Sync &nbsp;&nbsp;&nbsp; <a class="button js-form-submit form-submit use-ajax mo_top_bar_button" href="requestTrialAzure">Request 7-days trial</a><a class="button button--primary mo_top_bar_button" href="azure_upgrade_plans"> Upgrade Plans</a>'
        _form: \Drupal\azure_ad\Form\MoAzureOverview
    requirements:
        _permission: 'administer site configuration'

azure_ad.configure_azure:
    path: /admin/config/people/azure_ad/configure_azure
    defaults:
        _title: 'Azure AD Sync &nbsp;&nbsp;&nbsp; <a class="button js-form-submit form-submit use-ajax mo_top_bar_button" href="requestTrialAzure">Request 7-days trial</a><a class="button button--primary mo_top_bar_button" href="azure_upgrade_plans"> Upgrade Plans</a>'
        _form: \Drupal\azure_ad\Form\MoDrupalToAzureSync
    requirements:
        _permission: 'administer site configuration'

azure_ad.azure_to_drupal_configure:
    path: /admin/config/people/azure_ad/azure_to_drupal_configure
    defaults:
        _title: 'Azure AD Sync &nbsp;&nbsp;&nbsp; <a id="trial" class="button js-form-submit form-submit use-ajax mo_top_bar_button" href="requestTrialAzure">Request 7-days trial</a><a class="button button--primary mo_top_bar_button" href="azure_upgrade_plans"> Upgrade Plans</a>'
        _form: \Drupal\azure_ad\Form\MoAzureToDrupalSync
    requirements:
        _permission: 'administer site configuration'

azure_ad.azure_audit_logs:
    path: /admin/config/people/azure_ad/azure_audit_logs
    defaults:
        _title: 'Azure AD Sync &nbsp;&nbsp;&nbsp; <a class="button js-form-submit form-submit use-ajax mo_top_bar_button" href="requestTrialAzure">Request 7-days trial</a><a class="button button--primary mo_top_bar_button" href="azure_upgrade_plans"> Upgrade Plans</a>'
    requirements:
        _permission: 'administer site configuration'

azure_ad.mapping:
    path: /admin/config/people/azure_ad/mapping
    defaults:
        _title: 'Azure AD Sync &nbsp;&nbsp;&nbsp; <a class="button js-form-submit form-submit use-ajax mo_top_bar_button" href="requestTrialAzure">Request 7-days trial</a><a class="button button--primary mo_top_bar_button" href="azure_upgrade_plans"> Upgrade Plans</a>'
        _form: \Drupal\azure_ad\Form\MoAzureMapping
    requirements:
        _permission: 'administer site configuration'
  
azure_ad.azure_upgrade_plans:
    path: /admin/config/people/azure_ad/azure_upgrade_plans
    defaults:
        _title: 'Azure AD Sync &nbsp;&nbsp;&nbsp; <a class="button js-form-submit form-submit use-ajax mo_top_bar_button" href="requestTrialAzure">Request 7-days trial</a>'
        _form: \Drupal\azure_ad\Form\MoAzureUpgradePlans
    requirements:
        _permission: 'administer site configuration'

azure_ad.configure_app:
    path: /admin/config/people/azure_ad/configure_app/{app}
    defaults:
        _controller: '\Drupal\azure_ad\Controller\MoAzureController::configureApp'
    requirements:
        _permission: 'administer site configuration'

azure_ad.azure_trial:
    path: /admin/config/people/azure_ad/requestTrialAzure
    defaults:
        _title: 'miniOrange Azure AD Trial'
        _controller: '\Drupal\azure_ad\Controller\MoAzureController::openTrialRequestForm'
    requirements:
        _permission: 'administer site configuration'

azure_ad.azure_customer_support:
    path: /admin/config/people/azure_ad/CustomerSupportAzure
    defaults:
        _title: 'miniOrange Azure AD Customer Support'
        _controller: '\Drupal\azure_ad\Controller\MoAzureController::openCustomerRequestForm'
    requirements:
        _permission: 'administer site configuration'
        
azure_ad.reviewconfig:
    path: /admin/config/people/azure_ad/reviewconfig
    defaults:
        _controller: '\Drupal\azure_ad\Controller\MoAzureController::openconfigform'
    requirements:
        _permission: 'administer site configuration'

azure_ad.manualuserSync:
    path: /admin/config/people/azure_ad/manualuserSync
    defaults:
       _title: "Manual User Sync"
       _form: \Drupal\azure_ad\Form\MoManualUserSync
    requirements:
        _permission: 'administer site configuration'

azure_ad.configure_manual_provisioning:
    path: /admin/config/people/azure_ad/configuremanualprovisioning
    defaults:
       _title: "Manual/On-Demand Provisioning"
       _form: \Drupal\azure_ad\Form\MoManualProvisioning
    requirements:
        _permission: 'administer site configuration'

azure_ad.configure_automatic_provisioning:
    path: /admin/config/people/azure_ad/configureautomaticprovisioning
    defaults:
       _title: "Automatic Provisioning"
       _form: \Drupal\azure_ad\Form\MoAutomaticProvisioning
    requirements:
        _permission: 'administer site configuration'


